/* Root Variables */
:root {
    --dark-black: #131a20;
    --black: #223240;
    --white: #faf8f0;
    --primary-darker: #244f3a;
    --primary-dark: #347355;
    --primary-light: #3b8c66;
    --primary-lighter: #65ba82;
    --accent: #f2a30f;
    --grey: #7b868f;
    --transition-fast: 0.1s ease;
    --transition-normal: 0.3s ease;
    --transition-slow: 0.5s ease;
}

/* Layout structure */
.layout {
    display: grid;
    grid-template-rows: auto 1fr auto;
    grid-template-columns: 1fr;
    grid-template-areas:
        "header"
        "main"
        "footer";
    min-height: 100vh;
}

/* Separator */

.footer-separator {
    height: calc(100vw * 7 / 40);
}

/* Text */

html {
    font-size: 12px;
    color: var(--black);
    font-family: "Montserrat", sans-serif;
    font-optical-sizing: auto;
    background-color: var(--white);
}

*,
*::before,
*::after {
    box-sizing: border-box;
}

@media (min-width: 900px) {
    html {
        font-size: 16px;
    }
}

@media (min-width: 1200px) {
    html {
        font-size: 20px;
    }
}

@media (min-width: 1600px) {
    html {
        font-size: 24px;
    }
}

@media (min-width: 2000px) {
    html {
        font-size: 30px;
    }
}

@media (min-width: 3000px) {
    html {
        font-size: 36px;
    }
}

h1 {
    font-size: 2.5rem;
    color: var(--primary-light);
    font-weight: 600;
    text-transform: uppercase;
    padding: 0;
    margin: 0 0 2.5rem 10vw;
    width: calc(75vw - 10vw);
}

.h1-style {
    font-size: 2rem;
    color: var(--primary-light);
    font-weight: 600;
    text-transform: uppercase;
    padding: 0;
    margin: 0;
}

h2 {
    font-size: 1.83rem;
    color: var(--black);
    font-weight: 700;
    margin: 0 0 2rem;
}

.h2-style {
    font-size: 1.83rem;
    color: var(--black);
    font-weight: 700;

}

h3 {
    font-size: 1.5rem;
    color: var(--black);
    font-weight: 600;
    text-align: center;
}

.h3-style {
    font-size: 1.5rem;
    color: var(--black);
    font-weight: 600;

}

p {
    font-size: 1rem;
    color: var(--black);
    font-weight: 400;
    line-height: 1.5rem;
    margin: 0 0 0.5rem;
}

p.caption, a.caption {
    color: var(--grey);
    font-size: 0.8rem;
    line-height: 1rem;
    text-align: center;
    padding-top: 0.8rem;
}

.impact {
    font-size: 3.33rem !important;
    color: var(--accent) !important;
    font-weight: 600 !important;
    margin-bottom: 2rem !important;
}

.text-center {
    text-align: center;
}

.text-right {
    text-align: right;
}

br {
    display: block;
    margin: 0.4rem 0;
}

br.no-margin {
    display: inline;
    margin: 0.2rem 0;
}

/* Links */
a,
.btn-logout {
    font-size: 1.1rem;
    color: var(--white);
    font-weight: 400;
}

a,
.btn-logout {
    text-decoration: underline;
    text-decoration-color: transparent;
    text-decoration-thickness: 0;
    text-underline-offset: 0.2em;
    transition: color var(--transition-normal), 
                text-decoration-color var(--transition-normal),
                text-decoration-thickness var(--transition-normal);
}

a:hover, a:focus,
.btn-logout:hover, .btn-logout:focus {
    color: var(--primary-light);
    text-decoration-color: var(--primary-light);
}

button,
.btn-link {
    font-size: 1.1rem;
    display: inline-block;
    width: 12rem;
    color: var(--primary-dark);
    font-weight: 700;
    margin: 0 1rem;
    padding: 1rem 0;
    background-color: transparent;
    border: 0.2rem solid var(--primary-dark);
    border-radius: 0.4rem;
    transition: color var(--transition-normal), 
                background-color var(--transition-normal)
}

button:hover,
button:focus,
.btn-link:hover,
a.btn-link:focus {
    color: var(--white);
    background-color: var(--primary-dark);
    text-decoration: none;
}

.text-link {
    color: var(--black);
    text-decoration: underline
}

/* .btn-link {
    background-color: var(--primary);
    color: var(--white-text);
    padding: 1rem 4rem;
    text-align: center;
    text-decoration: none;
    border-radius: 0.25rem;
    cursor: pointer;
    transition: all var(--transition-normal);
    width: fit-content;
    display: block;
    margin: 2rem auto;
}

.btn-link:hover {
    background-color: var(--primary-dark);
    color: var(--white-text);
} */

a.btn-link:hover::after {
    width: 0%;
}

a.logo:hover::after {
    width: 0%;
}

/* Align */

.right {
    margin-left: auto !important;
}

.left {
    margin-right: auto !important;
}

/* Color */

.dark-black {
    color: var(--dark-black) !important;
}

.black {
    color: var(--black) !important;
}

.white {
    color: var(--white) !important;
}

.primary-darker {
    color: var(--primary-darker) !important;
}

.primary-dark {
    color: var(--primary-dark) !important;
}

.primary-light {
    color: var(--primary-light) !important;
}

.primary-lighter {
    color: var(--primary-lighter) !important;
}

.accent {
    color: var(--accent) !important;
}

/* Effects */
.shadow {
    text-shadow: 2px 2px 2px var(--primary-dark);
}

/* Grid span */
.wide-2 {
    grid-column: span 2;
}

.wide-3 {
    grid-column: span 3;
}

.tall-2 {
    grid-row: span 2;
}

.tall-3 {
    grid-row: span 3;
}
